package com.muyu.task.server.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.muyu.common.core.domain.Result;
import com.muyu.common.domian.NodeJoint;
import com.muyu.task.server.service.NodeJointService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("nodeJoint")
public class NodeJointController {

    @Autowired
    private NodeJointService nodeJointService;


    @PostMapping("add")
    public Result save(@RequestBody NodeJoint nodeJoint){
        QueryWrapper<NodeJoint> wrapper = new QueryWrapper<>();
        wrapper.eq("node_id",nodeJoint.getNodeId());
        nodeJointService.remove(wrapper);
        boolean save = nodeJointService.save(nodeJoint);
        return Result.success(save);
    }










}
